// pages/order/serviceDetails/serviceDetails.js
const app=getApp();
Page({

    /**
     * 页面的初始数据
     */
    data: {
        goods:{},
        carNum:1,
        carPrice:0,
        title:"",
        address:"",
        worke_id:"",
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        var goods_id=options.goods_id;
        var title=options.title;
        var address=options.address;
        var worke_id=options.worke_id;
        this.setData({
            title:title,
            address:address,
            worke_id:worke_id,
        })
        var that=this;
        app.api.useApi(app.globalData.baseAppUrl + "api/goods_info", {
            network_id: wx.getStorageSync('nid'),
            good_id:goods_id
        }, "get").then(function (res) {
            console.log(res);
            if (res.code != 200) {
                console.log(res.code);
                wx.showLoading({
                    title: res.message.msg,
                })
            } else {
                that.setData({
                    goods:res.message.data.good, 
                    carPrice:res.message.data.good.price.sale_price,
                })
              
            }

            wx.hideLoading();

        }).catch(function (err) {
            console.log(222);
        })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})